---
name: Michael Karampalas
start_date: 2019-08-19
locality: Marshfield, MA
country: USA
role: <a href="/job-families/product/product-manager">Principal Product Manager</a>,
  Growth:Adoption, Growth:Activation (acting)
reports_to: hilaqu
picture: michaelkarampalas.png
twitter: mkarampalas
gitlab: mkarampalas
linkedin: mkarampalas
mentor: true
departments:
- Product Management
story: 'Michael began his career in a customer support role at Constant Contact, where
  he developed strong customer empathy skills and a desire to make an impact on the
  product. He transitioned into product management and has since spent the last 14+
  years in various product and product leadership roles at Constant Contact, Buildium, and Status Hero.
  He lives in Marshfield, MA where he enjoys spending time outdoors and at the beach
  with his beautiful wife and 10-year-old twins.
  
  '
specialty: Growth

